onEvent('recipes', event => {
    
    //elven
    function trade(input, output){
        event.custom(
            {
                "type": "botania:elven_trade",
                "ingredients": [
                  {
                    "item": input
                  }
                ],
                "output": [
                  {
                    "item": output
                  }
                ]
              }
        )
    }
    trade('botania:runic_altar', 'botania:terra_plate')

    //plate
    function plate(input1, input2, input3, input4, input5, input6, input7, output, mana){
        event.custom(
          {
            "type": "botania:terra_plate",
            "mana": mana,
            "ingredients": [
              {
                "item": input1
              },
              {
                "item": input2
              },
              {
                "item": input3
              },
              {
                "item": input4
              },
              {
                "item": input5
              },
              {
                "item": input6
              },
              {
                "item": input7
              }
            ],
            "result": {
              "item": output
            }
          }
        )
    }
    plate('mekanism:steel_casing', 'botania:terrasteel_ingot', 'immersiveengineering:capacitor_hv', 'immersiveengineering:rs_engineering', 'pipez:energy_pipe', 'pipez:item_pipe', 'pipez:gas_pipe', 'mekanism:metallurgic_infuser', 750000)

    //runic
    function runic(input1, input2, output, mana){
        event.custom(
          {
            "type": "botania:runic_altar",
            "output": {
              "item": output
            },
            "mana": mana,
            "ingredients": [
              {
                "item": input1
              },
              {
                "item": input2
              }
            ]
          }
        )
    }
    runic('kubejs:keyforwin_part1', 'kubejs:keyforwin_part2', 'kubejs:keyforwin', 10000000)

    //manatrans
    function mana(input, output, mana){
      event.custom(
        {
          "type": "botania:mana_infusion",
          "input": {
            "item": input
          },
          "output": {
            "item": output
          },
          "mana": mana
        }
      )
    }
    mana('minecraft:experience_bottle', 'minecraft:dragon_breath', 5000)
})